#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Devel
%define	pnam	GlobalDestruction
Summary:	Devel::GlobalDestruction - Expose PL_dirty, the flag which marks global destruction
Summary(pl.UTF-8):	Devel::GlobalDestruction - udostępnienie PL_dirty - flagi oznaczającej globalną destrukcję
Name:		perl-Devel-GlobalDestruction
Version:	0.14
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	24221ba322cf2dc46a1fc99b53e2380b
URL:		http://search.cpan.org/dist/Devel-GlobalDestruction/
BuildRequires:	perl-ExtUtils-CBuilder >= 0.27
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Scope-Guard
BuildRequires:	perl-Sub-Exporter
BuildRequires:	perl-Sub-Exporter-Progressive >= 0.001011
%endif
Requires:	perl-Sub-Exporter-Progressive >= 0.001011
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Devel::GlobalDestruction - expose PL_dirty, the flag which marks
global destruction.

%description -l pl.UTF-8
Devel::GlobalDestruction udostępnia PL_dirty - flagę oznaczającą
globalną destrukcję.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Devel/GlobalDestruction.pm
%{_mandir}/man3/Devel::GlobalDestruction.3pm*
%changelog
* Wed Sep 20 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Devel-GlobalDestruction.git;a=log;h=master

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 117ab56
- up to 0.14

* Tue Mar 03 2015 Jakub Bogusz <qboosh@pld-linux.org> f225c2b
- updated Sub::Exporter::Progressive version according to Makefile.PL

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d1f5b4
- up to 0.13

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 471038a
- up to 0.12

* Thu Jun 20 2013 Jakub Bogusz <qboosh@pld-linux.org> fb18975
- perl-Sub-Exporter-Progressive version

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> d728873
- up to 0.11
- it's now XS-less, noarch

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 5720fb6
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> fe0b071
- updated to 0.05

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 67b178a
- up to 0.04

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 65e6c9a
- rel 2

* Tue Feb 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 79a2cfd
- updated to 0.03

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a0cc55d
- release 2

* Sun Feb 01 2009 radek <radek@pld-linux.org> b6a70f0
- new

